# url.nvim

A smol neovim plugin to open the url under the cursor, in your browser.

## Installation
With Lazy:
```lua
{ "https://code.smolnet.org/micke/url.nvim" }
```
## Usage
```
:UrlOpen
```
## Keybindings
Add a keybinding:
```
nnoremap <leader>u :UrlOpen<CR>
```
or with lua
```lua
vim.api.nvim_set_keymap("n", "<leader>u", "<cmd>UrlOpen<CR>", {})
```
or using which-key.nvim
```lua
require("which-key").add({
 {"<leader>u", "<CMD>UrlOpen<CR>", desc = "Open URL"}
}
```
